Index: branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 882)
@@ -366,5 +366,4 @@
 
   READ_FLAG( uiCode, "pps_extension_flag");
-#if H_MV_HLS_7_GEN_P0166_PPS_EXTENSION
   if (uiCode)
   {
@@ -383,7 +382,5 @@
     if( pcPPS->getPpsExtensionTypeFlag( PPS_EX_T_MV ) )
     {
-#if H_MV_HLS_7_POC_P0041
       READ_FLAG( uiCode, "poc_reset_info_present_flag" ); pcPPS->setPocResetInfoPresentFlag( uiCode == 1 );
-#endif
     }
 
@@ -406,22 +403,4 @@
 #endif
   }
-#else
-  if (uiCode)
-  {
-#if H_3D
-    parsePPSExtension( pcPPS, pcVPS );
-    READ_FLAG( uiCode, "pps_extension2_flag");
-    if ( uiCode )
-    {
-#endif
-      while ( xMoreRbspData() )
-      {
-        READ_FLAG( uiCode, "pps_extension_data_flag");
-      }
-#if H_3D
-    }
-#endif
-  }
-#endif
 }
 
@@ -849,5 +828,5 @@
   assert(uiCode <= 12);
 
-#if H_MV_HLS_7_SPS_P0155_16_32
+#if H_MV
   if ( pcSPS->getLayerId() == 0 ) 
   {  
@@ -888,5 +867,5 @@
     }
   }
-#if H_MV_HLS_7_SPS_P0155_16_32
+#if H_MV
   }
 #endif
@@ -1053,7 +1032,5 @@
     READ_SVLC( iCode, "scaled_ref_layer_right_offset" ); pcSPS->setScaledRefLayerRightOffset( j, iCode );
     READ_SVLC( iCode, "scaled_ref_layer_bottom_offset" ); pcSPS->setScaledRefLayerBottomOffset( j, iCode );
-#if H_MV_HLS_7_RESERVED_FLAGS
     READ_FLAG( uiCode, "sps_multilayer_ext_reserved_zero_flag[ i ]" );
-#endif
   }
 }
@@ -1092,13 +1069,5 @@
   assert (pcVPS->getMaxTLayers()>1||pcVPS->getTemporalNestingFlag());
 
-#if H_MV_HLS_7_VPS_P0125_24
   READ_CODE( 16, uiCode,  "vps_reserved_ffff_16bits" );           assert(uiCode == 0xffff);
-#else
-#if H_MV && !H_MV_HLS7_GEN
-  READ_CODE( 16, uiCode,  "vps_extension_offset" );               
-#else
-  READ_CODE( 16, uiCode,  "vps_reserved_ffff_16bits" );           assert(uiCode == 0xffff);
-#endif
-#endif
   parsePTL ( pcVPS->getPTL(), true, pcVPS->getMaxTLayers()-1);
   UInt subLayerOrderingInfoPresentFlag;
@@ -1212,12 +1181,4 @@
   READ_FLAG( uiCode, "avc_base_layer_flag" );                     pcVPS->setAvcBaseLayerFlag( uiCode == 1 ? true : false );
 
-#if !H_MV_HLS_7_VPS_P0307_23
-  READ_FLAG( uiCode, "vps_vui_present_flag" );                    pcVPS->setVpsVuiPresentFlag( uiCode == 1 );
-  if ( pcVPS->getVpsVuiPresentFlag() )
-  {  
-  READ_CODE( 16, uiCode, "vps_vui_offset" );                      pcVPS->setVpsVuiOffset( uiCode );
-  }
-#endif
-
   READ_FLAG( uiCode, "splitting_flag" );                          pcVPS->setSplittingFlag( uiCode == 1 ? true : false );
 
@@ -1325,37 +1286,19 @@
 
   READ_FLAG( uiCode, "all_ref_layers_active_flag" );             pcVPS->setAllRefLayersActiveFlag( uiCode == 1 );
-#if !H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
-  READ_CODE( 10, uiCode, "vps_number_layer_sets_minus1"      );  pcVPS->setVpsNumberLayerSetsMinus1    ( uiCode ); 
-#endif
-
-#if !H_MV_HLS_7_VPS_P0306_22
-  READ_CODE( 6,  uiCode, "vps_num_profile_tier_level_minus1" );  pcVPS->setVpsNumProfileTierLevelMinus1( uiCode );
-#else
+
   READ_UVLC( uiCode, "vps_num_profile_tier_level_minus1" );  pcVPS->setVpsNumProfileTierLevelMinus1( uiCode );  
-#endif
+
   for( Int i = 1; i <= pcVPS->getVpsNumProfileTierLevelMinus1(); i++ )
   {
     READ_FLAG(  uiCode, "vps_profile_present_flag[i]" );    pcVPS->setVpsProfilePresentFlag( i, uiCode == 1 );
-#if !H_MV_HLS_7_VPS_P0048_14
-    if( !pcVPS->getVpsProfilePresentFlag( i ) )
-    {
-      READ_CODE( 6, uiCode, "profile_ref_minus1[i]" ); pcVPS->setProfileRefMinus1( i, uiCode );
-      pcVPS->checkProfileRefMinus1( i );      
-    }
-#endif
     parsePTL ( pcVPS->getPTL( i ), pcVPS->getVpsProfilePresentFlag( i ), pcVPS->getMaxTLayers()-1);
     if( !pcVPS->getVpsProfilePresentFlag( i ) )
     {
       TComPTL temp = *pcVPS->getPTL( i );
-#if H_MV_HLS_7_VPS_P0048_14
       *pcVPS->getPTL( i ) = *pcVPS->getPTL( i - 1 );
-#else
-      *pcVPS->getPTL( i ) = *pcVPS->getPTL( pcVPS->getProfileRefMinus1( i ) + 1 );
-#endif
       pcVPS->getPTL( i )->copyLevelFrom( &temp );
     }
   }
 
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
   READ_UVLC( uiCode, "num_add_output_layer_sets"      ); pcVPS->setNumAddOutputLayerSets( uiCode );
   pcVPS->initTargetLayerIdLists( ); 
@@ -1365,38 +1308,13 @@
   }  
 
-#else
-  Int numOutputLayerSets = pcVPS->getVpsNumberLayerSetsMinus1( ) + 1; 
-
-  READ_FLAG( uiCode, "more_output_layer_sets_than_default_flag" ); pcVPS->setMoreOutputLayerSetsThanDefaultFlag( uiCode == 1 );
-
-  if ( pcVPS->getMoreOutputLayerSetsThanDefaultFlag( ) )
-  {
-    READ_CODE( 10, uiCode, "num_add_output_layer_sets_minus1"      ); pcVPS->setNumAddOutputLayerSetsMinus1( uiCode );
-    numOutputLayerSets += ( pcVPS->getNumAddOutputLayerSetsMinus1( ) + 1); 
-  }
-
-  if( numOutputLayerSets > 1)
-  {
-    READ_CODE( 2, uiCode, "default_one_target_output_layer_idc" ); pcVPS->setDefaultOneTargetOutputLayerIdc( uiCode );
-    pcVPS->checkDefaultOneTargetOutputLayerIdc(); 
-  }  
-#endif
-
   pcVPS->setOutputLayerFlag(0, 0, pcVPS->inferOutputLayerFlag( 0, 0 )); 
   pcVPS->setOutputLayerSetIdxMinus1(0, -1); 
 
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
   pcVPS->deriveTargetLayerIdList( 0 ); 
   for( Int i = 1; i < pcVPS->getNumOutputLayerSets( ); i++ )
   {
     if( i > pcVPS->getVpsNumLayerSetsMinus1( ) )    
-#else
-  for( Int i = 1; i < numOutputLayerSets; i++ )
-  {
-    if( i > pcVPS->getVpsNumberLayerSetsMinus1( ) )
-#endif
     {        
       READ_UVLC( uiCode,      "output_layer_set_idx_minus1[i]" ); pcVPS->setOutputLayerSetIdxMinus1( i, uiCode ); 
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
     }
 
@@ -1416,19 +1334,5 @@
     }
     pcVPS->deriveTargetLayerIdList( i ); 
-#else
-      for( Int j = 0; j < pcVPS->getNumLayersInIdList( j ) - 1; j++ )
-      {
-        READ_FLAG( uiCode, "output_layer_flag" ); pcVPS->setOutputLayerFlag( i, j, uiCode == 1 ); 
-      }        
-    }
-    else
-    { // These inference rules would also be helpful in spec text
-      pcVPS->setOutputLayerSetIdxMinus1(i, i - 1 ); 
-      for( Int j = 0; j < pcVPS->getNumLayersInIdList( j ) - 1; j++ )
-      {              
-        pcVPS->setOutputLayerFlag(i,j, pcVPS->inferOutputLayerFlag( i, j )); 
-      }
-    }
-#endif
+
     if ( pcVPS->getProfileLevelTierIdxLen()  > 0 )
     {      
@@ -1436,5 +1340,4 @@
     }
 
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
     if( pcVPS->getNumOutputLayersInOutputLayerSet( i ) == 1 && pcVPS->getNumDirectRefLayers( pcVPS->getOlsHighestOutputLayerId( i ) ) > 0 )
     {
@@ -1442,24 +1345,9 @@
     }
   }
-#else
-  }
-  if( pcVPS->getMaxLayersMinus1() > 0 )
-  {
-    READ_FLAG( uiCode, "alt_output_layer_flag" ); pcVPS->setAltOutputLayerFlag( uiCode == 1 );
-  }
-#endif
-
-#if !H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
-  pcVPS->deriveTargetLayerIdLists(); 
-#endif
 
   READ_FLAG( uiCode, "rep_format_idx_present_flag" ); pcVPS->setRepFormatIdxPresentFlag( uiCode == 1 );
   if ( pcVPS->getRepFormatIdxPresentFlag() )
   {
-#if H_MV_HLS_7_VPS_P0306_22
     READ_UVLC( uiCode, "vps_num_rep_formats_minus1" ); pcVPS->setVpsNumRepFormatsMinus1( uiCode );
-#else
-    READ_CODE( 4, uiCode, "vps_num_rep_formats_minus1" ); pcVPS->setVpsNumRepFormatsMinus1( uiCode );
-#endif
   }
 
@@ -1479,9 +1367,5 @@
       if( pcVPS->getVpsNumRepFormatsMinus1() > 0 )
       {
-#if H_MV_HLS_7_VPS_P0306_22
         READ_CODE( pcVPS->getVpsRepFormatIdxLen(), uiCode, "vps_rep_format_idx[i]" ); pcVPS->setVpsRepFormatIdx( i, uiCode );
-#else
-        READ_CODE( 8, uiCode, "vps_rep_format_idx" ); pcVPS->setVpsRepFormatIdx( i, uiCode );
-#endif
       }
     }
@@ -1500,7 +1384,5 @@
   }
 
-#if H_MV_HLS_7_RESERVED_FLAGS
   READ_FLAG( uiCode, "vps_reserved_zero_flag" ); 
-#endif
   parseDpbSize( pcVPS ); 
 
@@ -1531,5 +1413,4 @@
   }  
 
-#if H_MV_HLS_7_VPS_P0307_23
   READ_UVLC( uiCode, "vps_non_vui_extension_length" ); pcVPS->setVpsNonVuiExtensionLength( uiCode ); 
   for ( Int i = 1; i <= pcVPS->getVpsNonVuiExtensionLength(); i++ )
@@ -1538,8 +1419,4 @@
   }
   READ_FLAG( uiCode, "vps_vui_present_flag" );  pcVPS->setVpsVuiPresentFlag( uiCode == 1 );
-#endif
-#if !H_MV_HLS_7_RESERVED_FLAGS
-  READ_FLAG( uiCode, "vps_shvc_reserved_zero_flag" ); 
-#endif
   if( pcVPS->getVpsVuiPresentFlag() )
   {
@@ -1547,5 +1424,4 @@
     parseVPSVUI( pcVPS ); 
   }     
-#if H_MV_HLS_7_FIX_INFER_CROSS_LAYER_IRAP_ALIGNED_FLAG
   {
     TComVPSVUI* pcVPSVUI = pcVPS->getVPSVUI( ); 
@@ -1553,5 +1429,4 @@
     pcVPSVUI->inferVpsVui( false ); 
   }
-#endif
 
   pcVPS->checkVPSExtensionSyntax(); 
@@ -1601,19 +1476,13 @@
     READ_FLAG( uiCode, "cross_layer_irap_aligned_flag" ); pcVPSVUI->setCrossLayerIrapAlignedFlag( uiCode == 1 );
   }
-#if H_MV_HLS_7_MISC_P0068_21
   if( pcVPSVUI->getCrossLayerIrapAlignedFlag( ) )
   {
     READ_FLAG( uiCode, "all_layers_idr_aligned_flag" ); pcVPSVUI->setAllLayersIdrAlignedFlag( uiCode == 1 );
   }
-#endif
   READ_FLAG( uiCode, "bit_rate_present_vps_flag" ); pcVPSVUI->setBitRatePresentVpsFlag( uiCode == 1 );
   READ_FLAG( uiCode, "pic_rate_present_vps_flag" ); pcVPSVUI->setPicRatePresentVpsFlag( uiCode == 1 );
   if( pcVPSVUI->getBitRatePresentVpsFlag( )  ||  pcVPSVUI->getPicRatePresentVpsFlag( ) )
   {
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
     for( Int i = 0; i  <=  pcVPS->getVpsNumLayerSetsMinus1(); i++ )
-#else
-    for( Int i = 0; i  <=  pcVPS->getVpsNumberLayerSetsMinus1(); i++ )
-#endif
     {
       for( Int j = 0; j  <=  pcVPS->getMaxTLayers(); j++ ) 
@@ -1641,5 +1510,4 @@
   }
 
-#if H_MV_HLS_7_VPS_P0076_15
   READ_FLAG( uiCode, "video_signal_info_idx_present_flag" ); pcVPSVUI->setVideoSignalInfoIdxPresentFlag( uiCode == 1 );
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() )
@@ -1675,5 +1543,4 @@
     }
   }
-#endif
 
   READ_FLAG( uiCode, "tiles_not_in_use_flag" ); pcVPSVUI->setTilesNotInUseFlag( uiCode == 1 );
@@ -1712,8 +1579,5 @@
   }
 
-#if H_MV_HLS_7_RESERVED_FLAGS
   READ_CODE( 3, uiCode, "vps_vui_reserved_zero_3bits" ); 
-#endif
-
   READ_FLAG( uiCode, "ilp_restricted_ref_layers_flag" ); pcVPSVUI->setIlpRestrictedRefLayersFlag( uiCode == 1 );
 
@@ -1737,39 +1601,4 @@
   }
 
-#if !H_MV_HLS_7_VPS_P0076_15
-  READ_FLAG( uiCode, "video_signal_info_idx_present_flag" ); pcVPSVUI->setVideoSignalInfoIdxPresentFlag( uiCode == 1 );
-  if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() )
-  {
-    READ_CODE( 4, uiCode, "vps_num_video_signal_info_minus1" ); pcVPSVUI->setVpsNumVideoSignalInfoMinus1( uiCode );
-  }
-  else
-  {
-    pcVPSVUI->setVpsNumVideoSignalInfoMinus1( pcVPS->getMaxLayersMinus1() ); 
-  }
-
-  for( Int i = 0; i <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1(); i++ )
-  {
-    assert( pcVPSVUI->getVideoSignalInfo( i ) == NULL ); 
-    TComVideoSignalInfo* curVideoSignalInfo = new TComVideoSignalInfo();     
-    parseVideoSignalInfo( curVideoSignalInfo ); 
-    pcVPSVUI->setVideoSignalInfo(i, curVideoSignalInfo ); 
-  }
-  
-  if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      READ_CODE( 4, uiCode, "vps_video_signal_info_idx" ); pcVPSVUI->setVpsVideoSignalInfoIdx( i, uiCode );
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i ) >= 0 && pcVPSVUI->getVpsVideoSignalInfoIdx( i ) <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1() );
-    }
-  }
-  else
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      pcVPSVUI->setVpsVideoSignalInfoIdx( i, pcVPSVUI->getVideoSignalInfoIdxPresentFlag() ? 0 : i ); 
-    }
-  }
-#endif
   READ_FLAG( uiCode, "vps_vui_bsp_hrd_present_flag" ); pcVPSVUI->setVpsVuiBspHrdPresentFlag( uiCode == 1 );
   if ( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) )
@@ -1777,5 +1606,4 @@
     parseVpsVuiBspHrdParameters( pcVPS ); 
 }
-#if H_MV_HLS_7_MISC_P0182_13
   for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
   {
@@ -1785,5 +1613,4 @@
     }
   }
-#endif
 }
 
@@ -1864,9 +1691,5 @@
   {  
     READ_FLAG( uiCode, "sub_layer_flag_info_present_flag" ); dpbSize->setSubLayerFlagInfoPresentFlag( i, uiCode == 1 );
-#if H_MV_HLS_7_HRD_P0156_7
     for( Int j = 0; j  <=  vps->getMaxSubLayersInLayerSetMinus1( i ); j++ )
-#else
-    for( Int j = 0; j  <=  vps->getMaxTLayers() - 1 ; j++ )
-#endif
     {  
       if( j > 0  &&  dpbSize->getSubLayerDpbInfoPresentFlag( i, j )  )  
@@ -1876,9 +1699,5 @@
       if( dpbSize->getSubLayerDpbInfoPresentFlag( i, j ) )
       {  
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
         for( Int k = 0; k < vps->getNumSubDpbs( vps->getLayerSetIdxForOutputLayerSet( i )); k++ )   
-#else
-        for( Int k = 0; k < vps->getNumSubDpbs( vps->getOutputLayerSetIdxMinus1( i ) + 1 ); k++ )   
-#endif
         {
           READ_UVLC( uiCode, "max_vps_dec_pic_buffering_minus1" ); dpbSize->setMaxVpsDecPicBufferingMinus1( i, k, j, uiCode );
@@ -1983,8 +1802,6 @@
   for (UInt viewIndex=0; viewIndex<pcVPS->getNumViews(); viewIndex++)
   {
-#if FIX_CAM_PARS_COLLECTOR
     pcVPS->setCamParPresent         ( viewIndex, false );
     pcVPS->setHasCamParInSliceHeader( viewIndex, false );
-#endif
     READ_FLAG( uiCode, "cp_present_flag[i]" );                  bCamParPresentFlag = ( uiCode == 1);
     if ( bCamParPresentFlag )
@@ -2718,13 +2535,4 @@
   if(pps->getSliceHeaderExtensionPresentFlag())
   {
-#if !H_MV_HLS_7_POC_P0041    
-    READ_UVLC(uiCode,"slice_header_extension_length");
-    for(Int i=0; i<uiCode; i++)
-    {
-      UInt ignore;
-      READ_CODE(8,ignore,"slice_header_extension_data_byte");
-    }
-  }
-#else
 #if H_MV
     READ_UVLC( uiCode, "slice_segment_header_extension_length" ); rpcSlice->setSliceSegmentHeaderExtensionLength( uiCode );
@@ -2796,5 +2604,4 @@
     }
   }
-#endif
 #endif
   }
Index: branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 882)
@@ -895,5 +895,5 @@
 #endif
   
-#if H_3D && UPDATE_HM13
+#if H_3D
   Bool useDltFlag = (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps());
 
@@ -921,9 +921,5 @@
     {
 #if H_3D
-#if UPDATE_HM13
       if ( useDltFlag )
-#else
-      if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#endif
       {
         pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
Index: branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 882)
@@ -51,9 +51,4 @@
   m_aaiCodedOffset         = new Int* [ MAX_NUM_LAYERS ];
   m_aaiCodedScale          = new Int* [ MAX_NUM_LAYERS ];
-#if !FIX_CAM_PARS_COLLECTOR
-  m_aiViewId               = new Int  [ MAX_NUM_LAYERS ];
-
-  m_bViewReceived          = new Bool [ MAX_NUM_LAYERS ];
-#endif
   for( UInt uiId = 0; uiId < MAX_NUM_LAYERS; uiId++ )
   {
@@ -65,8 +60,6 @@
   m_iLog2Precision   = LOG2_DISP_PREC_LUT;
   m_uiBitDepthForLUT = 8; // fixed
-#if FIX_CAM_PARS_COLLECTOR
   m_receivedIdc = NULL; 
   m_vps         = NULL; 
-#endif
 }
 
@@ -80,18 +73,11 @@
   delete [] m_aaiCodedOffset;
   delete [] m_aaiCodedScale;
-#if !FIX_CAM_PARS_COLLECTOR
-  delete [] m_aiViewId;  
-  delete [] m_bViewReceived;
-#endif
 
   xDeleteArray( m_adBaseViewShiftLUT, MAX_NUM_LAYERS, MAX_NUM_LAYERS, 2 );
   xDeleteArray( m_aiBaseViewShiftLUT, MAX_NUM_LAYERS, MAX_NUM_LAYERS, 2 );
-#if FIX_CAM_PARS_COLLECTOR
   xDeleteArray( m_receivedIdc, m_uiMaxViewIndex + 1 );
-#endif
-}
-
-
-#if FIX_CAM_PARS_COLLECTOR
+}
+
+
 Void
 CamParsCollector::init( FILE* pCodedScaleOffsetFile, TComVPS* vps)
@@ -159,18 +145,4 @@
   }
 }
-#else
-Void
-CamParsCollector::init( FILE* pCodedScaleOffsetFile )
-{
-  m_bInitialized            = true;
-  m_pCodedScaleOffsetFile   = pCodedScaleOffsetFile;
-  m_uiCamParsCodedPrecision = 0;
-  m_bCamParsVaryOverTime    = false;
-  m_iLastViewIndex             = -1;
-  m_iLastPOC                = -1;
-  m_uiMaxViewIndex             = 0;
-}
-#endif
-
 
 
@@ -206,9 +178,5 @@
   CamParsCollector::xInitLUTs( UInt uiSourceView, UInt uiTargetView, Int iScale, Int iOffset, Double****& radLUT, Int****& raiLUT)
 {
-#if FIX_CAM_PARS_COLLECTOR
   Int     iLog2DivLuma   = m_uiBitDepthForLUT + m_vps->getCamParPrecision() + 1 - m_iLog2Precision;   AOF( iLog2DivLuma > 0 );
-#else
-  Int     iLog2DivLuma   = m_uiBitDepthForLUT + m_uiCamParsCodedPrecision + 1 - m_iLog2Precision;   AOF( iLog2DivLuma > 0 );
-#endif
   Int     iLog2DivChroma = iLog2DivLuma + 1;
 
@@ -252,124 +220,4 @@
 }
 
-#if !FIX_CAM_PARS_COLLECTOR
-Void
-CamParsCollector::setSlice( TComSlice* pcSlice )
-{
-
-  if( pcSlice == 0 )
-  {
-    AOF( xIsComplete() );
-    if( m_bCamParsVaryOverTime || m_iLastPOC == 0 )
-    {
-      xOutput( m_iLastPOC );
-    }
-    return;
-  }
-  
-  if ( pcSlice->getIsDepth())
-  {
-    return;
-  }
-
-  Bool  bFirstAU          = ( pcSlice->getPOC()     == 0 );
-  Bool  bFirstSliceInAU   = ( pcSlice->getPOC()     != Int ( m_iLastPOC ) );
-  Bool  bFirstSliceInView = ( pcSlice->getViewIndex()  != UInt( m_iLastViewIndex ) || bFirstSliceInAU );
-
-  AOT(  bFirstSliceInAU  &&   pcSlice->getViewIndex()  != 0 );
-  AOT( !bFirstSliceInAU  &&   pcSlice->getViewIndex()   < UInt( m_iLastViewIndex ) );
-  
-  AOT( !bFirstSliceInAU  &&   pcSlice->getViewIndex()   > UInt( m_iLastViewIndex + 1 ) );
-  
-  AOT( !bFirstAU         &&   pcSlice->getViewIndex()   > m_uiMaxViewIndex );
-
-  if ( !bFirstSliceInView )
-  {
-    if( m_bCamParsVaryOverTime ) // check consistency of slice parameters here
-    {
-      UInt uiViewIndex = pcSlice->getViewIndex();
-      for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < uiViewIndex; uiBaseViewIndex++ )
-      {
-        AOF( m_aaiCodedScale [ uiBaseViewIndex ][ uiViewIndex ] == pcSlice->getCodedScale    () [ uiBaseViewIndex ] );
-        AOF( m_aaiCodedOffset[ uiBaseViewIndex ][ uiViewIndex ] == pcSlice->getCodedOffset   () [ uiBaseViewIndex ] );
-        AOF( m_aaiCodedScale [ uiViewIndex ][ uiBaseViewIndex ] == pcSlice->getInvCodedScale () [ uiBaseViewIndex ] );
-        AOF( m_aaiCodedOffset[ uiViewIndex ][ uiBaseViewIndex ] == pcSlice->getInvCodedOffset() [ uiBaseViewIndex ] );
-      }
-    }
-    return;
-  }
-
-  if( bFirstSliceInAU )
-  {
-    if( !bFirstAU )
-    {
-      AOF( xIsComplete() );
-      xOutput( m_iLastPOC );
-    }
-    ::memset( m_bViewReceived, false, MAX_NUM_LAYERS * sizeof( Bool ) );
-  }
-
-  UInt uiViewIndex                       = pcSlice->getViewIndex();
-  m_bViewReceived[ uiViewIndex ]         = true;
-  if( bFirstAU )
-  {
-    m_uiMaxViewIndex                     = std::max( m_uiMaxViewIndex, uiViewIndex );
-    m_aiViewId[ uiViewIndex ]            = pcSlice->getViewId();
-
-    if( uiViewIndex == 1 )
-    {
-      m_uiCamParsCodedPrecision       = pcSlice->getVPS()->getCamParPrecision     ();
-      m_bCamParsVaryOverTime          = pcSlice->getVPS()->hasCamParInSliceHeader ( uiViewIndex );
-    }
-    else if( uiViewIndex > 1 )
-    {
-      AOF( m_uiCamParsCodedPrecision == pcSlice->getVPS()->getCamParPrecision     () );
-      AOF( m_bCamParsVaryOverTime    == pcSlice->getVPS()->hasCamParInSliceHeader ( uiViewIndex ) );
-    }
-
-    for( UInt uiBaseIndex = 0; uiBaseIndex < uiViewIndex; uiBaseIndex++ )
-    {
-      if( m_bCamParsVaryOverTime )
-      {
-        m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getCodedScale    () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getCodedOffset   () [ uiBaseIndex ];
-        m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getInvCodedScale () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getInvCodedOffset() [ uiBaseIndex ];
-        xInitLUTs( uiBaseIndex, uiViewIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT);
-        xInitLUTs( uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiViewIndex ][ uiBaseIndex ], m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT);
-      }
-      else
-      {
-        m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getVPS()->getCodedScale    (uiViewIndex) [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getVPS()->getCodedOffset   (uiViewIndex) [ uiBaseIndex ];
-        m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getVPS()->getInvCodedScale (uiViewIndex) [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getVPS()->getInvCodedOffset(uiViewIndex) [ uiBaseIndex ];
-        xInitLUTs( uiBaseIndex, uiViewIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
-        xInitLUTs( uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiViewIndex ][ uiBaseIndex ], m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
-      }
-    }
-  }
-  else
-  {
-    AOF( m_aiViewId[ uiViewIndex ] == pcSlice->getViewId() );
-    if( m_bCamParsVaryOverTime )
-    {
-      for( UInt uiBaseIndex = 0; uiBaseIndex < uiViewIndex; uiBaseIndex++ )
-      {
-        m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getCodedScale    () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getCodedOffset   () [ uiBaseIndex ];
-        m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getInvCodedScale () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getInvCodedOffset() [ uiBaseIndex ];
-
-        xInitLUTs( uiBaseIndex, uiViewIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
-        xInitLUTs( uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiViewIndex ][ uiBaseIndex ], m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
-      }
-    }
-  }
-  
-  m_iLastViewIndex = (Int)pcSlice->getViewIndex();  
-  m_iLastPOC       = (Int)pcSlice->getPOC();
-}
-
-#else
 Void
 CamParsCollector::setSlice( TComSlice* pcSlice )
@@ -440,5 +288,4 @@
   }
 }
-#endif
 
 
@@ -454,18 +301,4 @@
 #endif
 
-#if !FIX_CAM_PARS_COLLECTOR
-Bool
-CamParsCollector::xIsComplete()
-{
-  for( UInt uiView = 0; uiView <= m_uiMaxViewIndex; uiView++ )
-  {
-    if( m_bViewReceived[ uiView ] == 0 )
-    {
-      return false;
-    }
-  }
-  return true;
-}
-#endif
 
 Void
@@ -474,21 +307,11 @@
   if( m_pCodedScaleOffsetFile )
   {
-#if FIX_CAM_PARS_COLLECTOR
     if( iPOC == m_firstReceivedPoc )
-#else
-    if( iPOC == 0 )
-#endif
     {
       fprintf( m_pCodedScaleOffsetFile, "#  ViewIndex       ViewId\n" );
       fprintf( m_pCodedScaleOffsetFile, "#----------- ------------\n" );
-#if FIX_CAM_PARS_COLLECTOR
       for( UInt uiViewIndex = 0; uiViewIndex <= m_uiMaxViewIndex; uiViewIndex++ )
       {
         fprintf( m_pCodedScaleOffsetFile, "%12d %12d\n", uiViewIndex, m_vps->getViewIdVal( uiViewIndex ) );
-#else        
-      for( UInt uiViewIndex = 0; uiViewIndex <= m_uiMaxViewIndex; uiViewIndex++ )
-      {
-        fprintf( m_pCodedScaleOffsetFile, "%12d %12d\n", uiViewIndex, m_aiViewId[ uiViewIndex ] );
-#endif
       }
       fprintf( m_pCodedScaleOffsetFile, "\n\n");
@@ -496,9 +319,5 @@
       fprintf( m_pCodedScaleOffsetFile, "#----------- ------------ ------------ ------------ ------------ ------------ ------------\n" );
     }
-#if FIX_CAM_PARS_COLLECTOR
     if( iPOC == m_firstReceivedPoc || m_bCamParsVaryOverTime  )
-#else
-    if( iPOC == 0 || m_bCamParsVaryOverTime )
-#endif
     {
       Int iS = iPOC;
@@ -510,5 +329,4 @@
           if( uiViewIndex != uiBaseIndex )
           {
-#if FIX_CAM_PARS_COLLECTOR
             if ( m_receivedIdc[uiBaseIndex][uiViewIndex] != 0 )
             {            
@@ -516,9 +334,4 @@
                 iS, iE, uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_vps->getCamParPrecision() );
             }            
-#else
-            fprintf( m_pCodedScaleOffsetFile, "%12d %12d %12d %12d %12d %12d %12d\n",
-              iS, iE, uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_uiCamParsCodedPrecision );
-#endif
-
           }
         }
@@ -641,5 +454,5 @@
   for( Int temporalLayer=0; temporalLayer < MAX_TLAYER; temporalLayer++) 
   {
-#if H_MV_HLS_7_SPS_P0155_16_32
+#if H_MV
     numReorderPics[temporalLayer] = ( getLayerId() == 0 ) ? pcSlice->getSPS()->getNumReorderPics(temporalLayer) : pcSlice->getVPS()->getNumReorderPics(temporalLayer);
 #else
@@ -647,5 +460,5 @@
 #endif
   }
-#if H_MV_HLS_7_SPS_P0155_16_32
+#if H_MV
   if ( getLayerId() == 0 )
   {  
Index: branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 882)
@@ -71,9 +71,5 @@
   ~CamParsCollector ();
 
-#if FIX_CAM_PARS_COLLECTOR
   Void  init        ( FILE* pCodedScaleOffsetFile, TComVPS* vps );
-#else
-  Void  init        ( FILE* pCodedScaleOffsetFile );
-#endif
 
   Void  uninit      ();
@@ -94,9 +90,5 @@
 
 private:
-#if FIX_CAM_PARS_COLLECTOR
   Void xResetReceivedIdc( Bool overWriteFlag ); 
-#else
-  Bool  xIsComplete ();
-#endif
   Void  xOutput     ( Int iPOC );
 
@@ -108,7 +100,4 @@
   Int**   m_aaiCodedScale;
   
-#if !FIX_CAM_PARS_COLLECTOR
-  Int*    m_aiViewId;  
-#else
   TComVPS* m_vps; 
   Int**    m_receivedIdc; 
@@ -116,18 +105,7 @@
   Int      m_lastPoc; 
   Int      m_firstReceivedPoc; 
-#endif
-
-  
-#if !FIX_CAM_PARS_COLLECTOR
-  Bool*   m_bViewReceived;
-  UInt    m_uiCamParsCodedPrecision;
-#endif
+
+  
   Bool    m_bCamParsVaryOverTime;
-#if !FIX_CAM_PARS_COLLECTOR
-  Int     m_iLastViewIndex;
-  Int     m_iLastPOC;
-  UInt    m_uiMaxViewIndex;
-#endif
-
 
   UInt    m_uiBitDepthForLUT;
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/NALwrite.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/NALwrite.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/NALwrite.cpp	(revision 882)
@@ -91,5 +91,5 @@
   vector<uint8_t>& rbsp   = nalu.m_Bitstream.getFIFO();
 
-#if H_MV_HLS_7_MISC_P0130_EOS  // This will handle situation when writing NAL with zero payload
+#if H_MV  // This will handle situation when writing NAL with zero payload
   if (rbsp.size() == 0) return;
 #endif
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/SEIwrite.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 882)
@@ -93,5 +93,5 @@
     fprintf( g_hTrace, "=========== Scalable Nesting SEI message ===========\n");
     break;
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
     case SEI::SUB_BITSTREAM_PROPERTY:
     fprintf( g_hTrace, "=========== Sub-bitstream property SEI message ===========\n");
@@ -151,5 +151,5 @@
     xWriteSEIScalableNesting(bs, *static_cast<const SEIScalableNesting*>(&sei), sps);
     break;
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
    case SEI::SUB_BITSTREAM_PROPERTY:
    xWriteSEISubBitstreamProperty(*static_cast<const SEISubBitstreamProperty*>(&sei));
@@ -589,5 +589,5 @@
 }
 
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
 Void SEIWriter::xWriteSEISubBitstreamProperty(const SEISubBitstreamProperty &sei)
 {
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/SEIwrite.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/SEIwrite.h	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/SEIwrite.h	(revision 882)
@@ -66,5 +66,5 @@
   Void xWriteSEISOPDescription(const SEISOPDescription& sei);
   Void xWriteSEIScalableNesting(TComBitIf& bs, const SEIScalableNesting& sei, TComSPS *sps);
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
   Void xWriteSEISubBitstreamProperty(const SEISubBitstreamProperty &sei);
 #endif
